import { mount } from "@vue/test-utils";
import { render, renderToString } from "@vue/server-test-utils";
import MarkdownPage from "@1/src/index";
import { readFileSync } from "fs";
import path from "path";

describe("MarkdownPage.vue", () => {
  it("the markdownPage mount", async () => {
    let welcomePath = path.join(__dirname, "welcome.md");
    let data = readFileSync(welcomePath);
    let txt = data.toString();

    const wrapper = mount(MarkdownPage, { propsData: { marked: txt } });
    expect(wrapper.html()).toEqual("<div></div>");
  });
  // it("the markdownPage render", async () => {
  //   const wrapper1 = await render(MarkdownPage, {
  //     propsData: { marked: "* This should be" }
  //   });
  //
  //  console.log("html:", wrapper1);
  //   expect(wrapper1).toContain("<div></div>");
  // });
  // it("the markdownPage renderToString", async () => {
  //   const renderStr = await renderToString(MarkdownPage, {
  //     propsData: { marked: "* This should be" }
  //   });
  //   console.log("html:", renderStr);
  //   expect(renderStr).toContain("<div></div>");
  // });
});
